package org.eclipse.wtp.releng.cvslog.tools;

import java.io.File;
import java.io.IOException;
import java.text.ParseException;
import java.util.Date;

import org.apache.xmlbeans.XmlOptions;
import org.eclipse.wtp.releng.cvstools.RlogDocument;

public class Main {

	public static void main(String[] args) {
		CVSRlog util = new CVSRlog();
		util.setCvsRoot(args[0]);

		try {
			Date from = CVSRlog.parseCVSDate(args[1]);
			Date to = CVSRlog.parseCVSDate(args[2]);
			util.setTag(args[3]);
			String[] modules = new String[args.length-5];
			for (int i = 0; i < modules.length; i++) {
				modules[i] = args[i+5];
			}
			util.setModules(modules);
			RlogDocument rlogDocument = util.getRlog(from, to);
			rlogDocument.save(new File(args[4]), new XmlOptions().setSavePrettyPrint().setSavePrettyPrintIndent(4));
		} catch (ParseException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		} catch (IOException e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

}
